spandsp 0.0.6

g1050.h File Reference

Go to the source code of this file.

## Classes
struct | g1050_segment_constants_t
struct | g1050_constants_t
struct | g1050_segment_model_t
struct | g1050_core_model_t
struct | g1050_model_t
struct | g1050_channel_speeds_t
struct | g1050_segment_state_t
struct | g1050_core_state_t
struct | g1050_queue_element_s
struct | g1050_state_t

## Macros
#define | G1050_TICKS_PER_SEC 1000
#define | SEARCHBACK_PERIOD 200
#define | G1050_LOW_LOSS 0
#define | G1050_HIGH_LOSS 1
#define | G1050_LAN_LINK 1
#define | G1050_ACCESS_LINK 2

## Typedefs
typedef struct g1050_queue_element_s | g1050_queue_element_t

## Functions
g1050_state_t * | g1050_init (int model, int speed_pattern, int packet_size, int packet_rate)
void | g1050_dump_parms (int model, int speed_pattern)
int | g1050_put (g1050_state_t *s, const uint8_t buf[], int len, int seq_no, double departure_time)
int | g1050_get (g1050_state_t *s, uint8_t buf[], int max_len, double current_time, int *seq_no, double *departure_time, double *arrival_time)
void | g1050_queue_dump (g1050_state_t *s)

## Variables
g1050_constants_t | g1050_constants [1]
g1050_channel_speeds_t | g1050_speed_patterns [168]
g1050_model_t | g1050_standard_models [9]

## Typedef Documentation

## ◆ g1050_queue_element_t

typedef struct g1050_queue_element_s g1050_queue_element_t

The definition of an element in the packet queue